OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
TransferBRep

# TransferBRep_ShapeMapper Class Reference

`#include <TransferBRep_ShapeMapper.hxx>`

Inheritance diagram for TransferBRep_ShapeMapper:

[legend]

## Public Member Functions
Standard_EXPORT | TransferBRep_ShapeMapper (const TopoDS_Shape &akey)
Standard_EXPORT const TopoDS_Shape & | Value () const
Standard_EXPORT Standard_Boolean | Equates (const Handle(Transfer_Finder)&other) const
| Specific testof equallity : to be defined by each sub-class, must be False if Finders have not the same true Type, else their contents must be compared .
virtual Standard_EXPORT Handle_Standard_Type | ValueType () const
| Returns the Type of the Value. By default, returns the DynamicType of <me>, but can be redefined .
virtual Standard_EXPORT Standard_CString | ValueTypeName () const
| Returns the name of the Type of the Value. Default is name of ValueType, unless it is for a non-handled object .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
TopoDS_Shape | theval

## Constructor & Destructor Documentation

Standard_EXPORT TransferBRep_ShapeMapper::TransferBRep_ShapeMapper | ( | const TopoDS_Shape & | akey | ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean TransferBRep_ShapeMapper::Equates | ( | const Handle(Transfer_Finder)& | other | ) | const`[virtual]`

| Implements Transfer_Finder.

Standard_EXPORT const TransferBRep_ShapeMapper::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Transfer_Finder.

Standard_EXPORT const TopoDS_Shape& TransferBRep_ShapeMapper::Value | ( |  | ) | const

virtual Standard_EXPORT Handle_Standard_Type TransferBRep_ShapeMapper::ValueType | ( |  | ) | const`[virtual]`

| Reimplemented from Transfer_Finder.

virtual Standard_EXPORT Standard_CString TransferBRep_ShapeMapper::ValueTypeName | ( |  | ) | const`[virtual]`

| Reimplemented from Transfer_Finder.

## Field Documentation

TopoDS_Shape TransferBRep_ShapeMapper::theval`[private]`

The documentation for this class was generated from the following file:

- TransferBRep_ShapeMapper.hxx